Subject: Re: [PATCH net-next] netfilter: revert introduction of egress hook

From: Florian Westphal <[email-masked]>
Date: Wed, 18 Mar 2020 11:02:27 +0100

Daniel Borkmann <[email-masked]> wrote:
> This reverts the following commits:
> 
>   8537f78647c0 ("netfilter: Introduce egress hook")
>   5418d3881e1f ("netfilter: Generalize ingress hook")
>   b030f194aed2 ("netfilter: Rename ingress hook include file")
> 
> From the discussion in [0], the author's main motivation to add a hook
> in fast path is for an out of tree kernel module, which is a red flag
> to begin with.

The author did post patches for nftables, i.e. you can hook up rulesets to
this new hook point.

> is on future extensions w/o concrete code in the tree yet. Revert as
> suggested [1] given the weak justification to add more hooks to critical
> fast-path.

Do you have an alternative suggestion on how to expose this?